Create a skill
curl --request POST \
--url https://api.ara.so/v3/organizations/{orgId}/skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Release checklist",
"description": "The team's release process.",
"instructions": "Run the full test suite, update the changelog, then wait for a human approval before deploying.",
"activation_keywords": [
"release",
"deploy"
]
}
EOFimport requests
url = "https://api.ara.so/v3/organizations/{orgId}/skills"
payload = {
"name": "Release checklist",
"description": "The team's release process.",
"instructions": "Run the full test suite, update the changelog, then wait for a human approval before deploying.",
"activation_keywords": ["release", "deploy"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Release checklist',
description: 'The team\'s release process.',
instructions: 'Run the full test suite, update the changelog, then wait for a human approval before deploying.',
activation_keywords: ['release', 'deploy']
})
};
fetch('https://api.ara.so/v3/organizations/{orgId}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill_id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"activation_keywords": [
"<string>"
],
"is_enabled": true,
"author": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "prompt_required"
}Scope:
skills:writePOST
/
v3
/
organizations
/
{orgId}
/
skills
Create a skill
Authorizations
Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.
Path Parameters
Organization id or slug. Resolve it with GET /v3/self.
Body
application/json
⌘I

